# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXDeleteHashElement

Function

Removes from a hash table any element that matches a search key.

Syntax
`
#include <dx/dx.h>
`

Error DXDeleteHashElement(HashTable hashtable, Key searchKey)

Functional Details

If a hash function was provided at the time the hash table was created, then that function will be used to derive a pseudokey from `searchKey`. If a hash function was not provided, then the first long integer word of `searchKey` is assumed to be the pseudokey.

If more than one element is stored under that pseudokey (possibly only if a compare function was provided at the time the hash table was created), then that compare function will be used to delete only that element that matches `searchKey`.

`Key` is defined as:
`
typedef Pointer Key;
`

Return Value

Always returns `OK`.

See Also

`DXCreateHash, DXInsertHashElement`

14.5 , "Hashing".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]